Skip to main content
GET
/
v2
/
portfolio
/
idle-assets
/
{userAddress}
cURL
curl --request GET \
  --url https://api.vaults.fyi/v2/portfolio/idle-assets/{userAddress} \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "address": "<string>",
      "assetCaip": "<string>",
      "name": "<string>",
      "symbol": "<string>",
      "decimals": 123,
      "assetGroup": "<string>",
      "balanceNative": "<string>",
      "network": {
        "name": "mainnet",
        "chainId": 123,
        "networkCaip": "<string>"
      },
      "assetLogo": "<string>",
      "assetPriceInUsd": "<string>",
      "balanceUsd": "<string>"
    }
  ],
  "errors": {
    "unsupportedNetworks": [
      "<string>"
    ],
    "unsupportedAssets": [
      "<string>"
    ]
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

userAddress
string
required

User address to be used for best vault calculation

Pattern: ^0x[a-fA-F0-9]{40}$

Query Parameters

allowedAssets
string[]

Assets to be included by symbol(ticker).

Minimum string length: 1
disallowedAssets
string[]

Assets to be excluded by symbol(ticker). The parameter is ignored if "allowedAssets" is specified.

Minimum string length: 1
minUsdAssetValueThreshold
number
default:0.5

Minimum USD value of the asset to be included

Required range: x >= 0
sortBy
enum<string>

Field to sort the results by. Currently, only "balanceUsd" is supported.

Available options:
balanceUsd
sortDirection
enum<string>
default:asc

Sort order, either asc or desc. Ascending is default.

Available options:
asc,
desc
allowedNetworks
enum<string>[]

Networks to be included (name or CAIP).

Include only vaults with provided network(name or CAIP)

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink,
eip155:1,
eip155:10,
eip155:42161,
eip155:137,
eip155:100,
eip155:8453,
eip155:130,
eip155:1923,
eip155:42220,
eip155:480,
eip155:80094,
eip155:57073,
eip155:56,
eip155:999,
eip155:9745,
eip155:43114,
eip155:747474,
eip155:59144,
eip155:4326,
eip155:143,
eip155:42793
disallowedNetworks
enum<string>[]

Networks to be excluded (name or CAIP). The parameter is ignored if "allowedNetworks" is specified.

Include only vaults with provided network(name or CAIP)

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink,
eip155:1,
eip155:10,
eip155:42161,
eip155:137,
eip155:100,
eip155:8453,
eip155:130,
eip155:1923,
eip155:42220,
eip155:480,
eip155:80094,
eip155:57073,
eip155:56,
eip155:999,
eip155:9745,
eip155:43114,
eip155:747474,
eip155:59144,
eip155:4326,
eip155:143,
eip155:42793

Response

Default Response

data
object[]
required
errors
object
required